summaryrefslogtreecommitdiff
path: root/meson_post_install.sh
diff options
context:
space:
mode:
authorzhuyaliang <[email protected]>2023-10-27 15:56:30 +0800
committerzhuyaliang <[email protected]>2023-10-27 15:56:30 +0800
commitdd55b0a24361c3a2f8eb112fab16a55a9b2c8d8f (patch)
treeb331f95a50a4a381b89023b742ff547a3b05594b /meson_post_install.sh
parent05f3a440f3cbd7c4fd04962f964292a764f5b6ac (diff)
downloadmate-notification-daemon-meson.tar.bz2
mate-notification-daemon-meson.tar.xz
add meson build supportmeson
Diffstat (limited to 'meson_post_install.sh')
-rwxr-xr-xmeson_post_install.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/meson_post_install.sh b/meson_post_install.sh
new file mode 100755
index 0000000..c523b15
--- /dev/null
+++ b/meson_post_install.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+if [ -z $MESON_INSTALL_PREFIX ]; then
+ echo 'This is meant to be ran from Meson only!'
+ exit 1
+fi
+
+if [ -z $DESTDIR ]; then
+ echo 'Compiling GSchema'
+ glib-compile-schemas "$MESON_INSTALL_PREFIX/share/glib-2.0/schemas"
+ echo 'Updating icon cache'
+ gtk-update-icon-cache -qtf "$MESON_INSTALL_PREFIX/share/icons/hicolor"
+ echo 'Updating desktop database'
+ update-desktop-database -q "$MESON_INSTALL_PREFIX/share/applications"
+fi